import { getPoolTags, addTag, removeTag, updatePool } from "../api";
import request from "@/api/request";

export { getPoolTags, addTag, removeTag, updatePool };

// 获取用户详情（根据 poolCompanyId）
export async function fetchUserDetail(id: number) {
  return request("/v1/traffic/pool/v2/detail", { id }, "GET", {
    timeout: 0, // 去除超时限制
  }, 0); // debounceGap 设置为 0，避免防抖拦截
}

// 更新用户信息
export async function updateUserInfo(id: number, data: any) {
  return updatePool(id, data);
}

// 更新用户RFM评分
export async function updateRfm(identifier: string) {
  return request("/v1/traffic/pool/v2/calculate-rfm", { identifier }, "POST", {
    timeout: 0, // 去除超时限制
  });
}
